Enable API key
import requests
url = "https://api.pdfshift.io/v3/account/api/{key}/enable"
headers = {"X-API-Key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.pdfshift.io/v3/account/api/{key}/enable', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pdfshift.io/v3/account/api/{key}/enable"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}using RestSharp;
var options = new RestClientOptions("https://api.pdfshift.io/v3/account/api/{key}/enable");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("X-API-Key", "<api-key>");
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);HttpResponse<String> response = Unirest.post("https://api.pdfshift.io/v3/account/api/{key}/enable")
.header("X-API-Key", "<api-key>")
.asString();curl --request POST \
--url https://api.pdfshift.io/v3/account/api/{key}/enable \
--header 'X-API-Key: <api-key>'{
"success": true,
"key": {
"created": 1734076868000,
"name": "Production key",
"removed": null,
"token": "sk_3a1f9c2b4d5e6f708192a3b4c5d6e7f8",
"public": "9f8e7d6c5b4a3928176054f3e2d1c0b9",
"last_used": 1764753251000,
"usage": 42,
"is_master": false
}
}{
"success": true,
"error": "<string>",
"code": 123
}{
"success": true,
"error": "<string>",
"code": 123
}{
"success": true,
"error": "<string>",
"code": 123
}{
"success": true,
"error": "<string>",
"code": 123
}{
"success": true,
"error": "<string>",
"code": 123
}{
"success": true,
"error": "<string>",
"code": 123
}API Keys
Enable API key
Enables (un-disables) an API key.
The {key} path parameter is the secret key (token) of the API key to enable.
Enabling a key is refused when it would exceed the maximum number of allowed active keys.
A master key can only be managed from the Dashboard.
POST
/
account
/
api
/
{key}
/
enable
Enable API key
import requests
url = "https://api.pdfshift.io/v3/account/api/{key}/enable"
headers = {"X-API-Key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.pdfshift.io/v3/account/api/{key}/enable', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pdfshift.io/v3/account/api/{key}/enable"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}using RestSharp;
var options = new RestClientOptions("https://api.pdfshift.io/v3/account/api/{key}/enable");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("X-API-Key", "<api-key>");
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);HttpResponse<String> response = Unirest.post("https://api.pdfshift.io/v3/account/api/{key}/enable")
.header("X-API-Key", "<api-key>")
.asString();Authorizations
Path Parameters
The secret key (token) of the API key to enable.
⌘I